#include <iostream>
#include <fstream>
#include <string>
#include <windows.h>

using namespace std;

void zapiszDane() {
    string dane;
    cout << "Podaj dane do zapisania: ";
    cin.ignore();
    getline(cin, dane);

    ofstream plik("dane.txt", ios::app);
    if (plik.is_open()) {
        plik << dane << "\n";
        plik.close();
        cout << "Dane dopisane do pliku.\n";
        Sleep(2000);
        system("cls");
    } else {
        cout << "Nie mozna otworzyc pliku do zapisu.\n";
    }
}

void wyswietlDane() {
    ifstream plik("dane.txt");
    if (plik.is_open()) {
        string linia;
        cout << "Zawartosc pliku:\n";
        while (getline(plik, linia)) {
            cout << linia << "\n";
        }
        plik.close();
    } else {
        cout << "Nie mozna otworzyc pliku do odczytu.\n";
    }
}

int main() {
    int wybor;

    do {
        cout << "\nMENU:\n";
        cout << "1. Wpisz i zapisz dane\n";
        cout << "2. Wyswietl dane\n";
        cout << "3. Wyjdz\n";
        cout << "Wybor: ";
        cin >> wybor;

        switch (wybor) {
            case 1:
                system("cls");
                zapiszDane();
                break;
            case 2:
                system("cls");
                wyswietlDane();
                break;
            case 3:
                cout << "Wyjscie z programu.\n";
                break;
            default:
                cout << "Niepoprawny wybor.\n";
        }

    } while (wybor != 3);

    return 0;
}
